Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class StatementWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.StatementWriter

    public class StatementWriter
    extends java.lang.Object

Constructor Summary
`StatementWriter(WriterController controller)`

Method Summary
`void` | `writeAssert(AssertStatement statement)`
`void` | `writeBlockStatement(BlockStatement block)`
`void` | `writeBreak(BreakStatement statement)`
`protected void` | `writeCaseStatement(CaseStatement statement, int switchVariableIndex, org.objectweb.asm.Label thisLabel, org.objectweb.asm.Label nextLabel)`
`void` | `writeContinue(ContinueStatement statement)`
`void` | `writeDoWhileLoop(DoWhileStatement loop)`
`void` | `writeExpressionStatement(ExpressionStatement statement)`
`protected void` | `writeForInLoop(ForStatement loop)`
`protected void` | `writeForLoopWithClosureList(ForStatement loop)`
`void` | `writeForStatement(ForStatement loop)`
`void` | `writeIfElse(IfStatement ifElse)`
`protected void` | `writeIteratorHasNext(org.objectweb.asm.MethodVisitor mv)`
`protected void` | `writeIteratorNext(org.objectweb.asm.MethodVisitor mv)`
`void` | `writeReturn(ReturnStatement statement)`
`protected void` | `writeStatementLabel(Statement statement)`
`void` | `writeSwitch(SwitchStatement statement)`
`void` | `writeSynchronized(SynchronizedStatement statement)`
`void` | `writeThrow(ThrowStatement statement)`
`void` | `writeTryCatchFinally(TryCatchStatement statement)`
`void` | `writeWhileLoop(WhileStatement loop)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StatementWriter

    public StatementWriter(WriterController controller)

Method Detail

### writeAssert

    public void writeAssert(AssertStatement statement)

### writeBlockStatement

    public void writeBlockStatement(BlockStatement block)

### writeBreak

    public void writeBreak(BreakStatement statement)

### writeCaseStatement

    protected void writeCaseStatement(CaseStatement statement, int switchVariableIndex, org.objectweb.asm.Label thisLabel, org.objectweb.asm.Label nextLabel)

### writeContinue

    public void writeContinue(ContinueStatement statement)

### writeDoWhileLoop

    public void writeDoWhileLoop(DoWhileStatement loop)

### writeExpressionStatement

    public void writeExpressionStatement(ExpressionStatement statement)

### writeForInLoop

    protected void writeForInLoop(ForStatement loop)

### writeForLoopWithClosureList

    protected void writeForLoopWithClosureList(ForStatement loop)

### writeForStatement

    public void writeForStatement(ForStatement loop)

### writeIfElse

    public void writeIfElse(IfStatement ifElse)

### writeIteratorHasNext

    protected void writeIteratorHasNext(org.objectweb.asm.MethodVisitor mv)

### writeIteratorNext

    protected void writeIteratorNext(org.objectweb.asm.MethodVisitor mv)

### writeReturn

    public void writeReturn(ReturnStatement statement)

### writeStatementLabel

    protected void writeStatementLabel(Statement statement)

### writeSwitch

    public void writeSwitch(SwitchStatement statement)

### writeSynchronized

    public void writeSynchronized(SynchronizedStatement statement)

### writeThrow

    public void writeThrow(ThrowStatement statement)

### writeTryCatchFinally

    public void writeTryCatchFinally(TryCatchStatement statement)

### writeWhileLoop

    public void writeWhileLoop(WhileStatement loop)

Groovy Documentation